Bug 523024 - Fail to Perform Example Update
Summary: Fail to Perform Example Update
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ksplice
Version: 12
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-13 12:04 UTC by Qian Cai
Modified: 2010-12-05 06:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:25:18 UTC


Attachments (Terms of Use)

Description Qian Cai 2009-09-13 12:04:43 UTC
Description of problem:
Failed to perform a basic example here,

  http://www.ksplice.com/example-update

# ksplice-create --patch=printk.patch rpmbuild/BUILD/kernel-2.6.31/linux-2.6.31.x86_64
Starting kernel builds (this process might take a long time)...
rm ksplice-revert-stamp
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  SYMLINK include/asm -> include/asm-x86
  LD      net/built-in.o
net/ipv4/built-in.o: file not recognized: File format not recognized
make[1]: *** [net/built-in.o] Error 1
make: *** [net] Error 2
Aborting: Prebuild failed at /usr/bin/ksplice-create line 190.

Version-Release number of selected component (if applicable):
kernel-2.6.31-2.fc12.x86_64
ksplice-0.9.9-1.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. rpm -ivh kernel-2.6.31-2.fc12.src.rpm
2. rpmbuild -bp ~/rpmbuild/SPEC/kernel.spec
3. cd ~/rpmbuild/BUILD/kernel-2.6.31/linux-2.6.31.x86_64/
4. mkdir ksplice
5. cp /boot/System.map-2.6.31-2.fc12.x86_64 ksplice/System.map
6. cp /boot/config-2.6.31-2.fc12.x86_64 ksplice/.config
7. ln -s /lib/modules/2.6.31-2.fc12.x86_64/build ksplice/build
8. wget http://www.ksplice.com/doc/printk.patch
9. ksplice-create --patch=printk.patch
   ~/rpmbuild/BUILD/kernel-2.6.31/linux-2.6.31.x86_64/
  
Actual results:
Failed to create ksplice tarball.

Expected results:
Successfully create ksplice tarball.

Comment 1 Qian Cai 2009-09-13 15:45:42 UTC
Looks like the above errors are disappeared after install kernel-devel. However, it still fails further.

make: Entering directory `/usr/src/kernels/2.6.31-2.fc12.x86_64'
  LD      /tmp/ksplice-tmp-4KuO5v/kmodsrc/built-in.o
  CC      /tmp/ksplice-tmp-4KuO5v/kmodsrc/offsets.o
cc1: error: unrecognized command line option "-fno-var-tracking-assignments"
make[1]: *** [/tmp/ksplice-tmp-4KuO5v/kmodsrc/offsets.o] Error 1
make: *** [_module_/tmp/ksplice-tmp-4KuO5v/kmodsrc] Error 2
make: Leaving directory `/usr/src/kernels/2.6.31-2.fc12.x86_64'
Child exited with status 2
Failed during: make -rR -C /root/rpmbuild/BUILD/kernel-2.6.31/linux-2.6.31.x86_64/ksplice/build M=/tmp/ksplice-tmp-4KuO5v/kmodsrc KSPLICE_KID=dy0woc4d KSPLICE_VERSION=0.9.9 map_printk=ffffffff81502c55 KSPLICE_STANDALONE=1

Comment 2 Qian Cai 2009-09-13 15:58:01 UTC
Looks like the above error are fixed by upgrading GCC to gcc-4.4.1-13.x86_64. But, it still fail later.

# ksplice-create --patch=printk.patch rpmbuild/BUILD/kernel-2.6.31/linux-2.6.31.x86_64
Starting kernel builds (this process might take a long time)...
rm ksplice-revert-stamp
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  SYMLINK include/asm -> include/asm-x86
  COMBINE /root/rpmbuild/BUILD/kernel-2.6.31/linux-2.6.31.x86_64/vmlinux.o
make: Entering directory `/usr/src/kernels/2.6.31-2.fc12.x86_64'
  LD      /tmp/ksplice-tmp-ghWNrw/kmodsrc/built-in.o
  CC      /tmp/ksplice-tmp-ghWNrw/kmodsrc/offsets.o
  CC [M]  /tmp/ksplice-tmp-ghWNrw/kmodsrc/ksplice.o
/tmp/ksplice-tmp-ghWNrw/kmodsrc/ksplice.c: In function 'check_task':
/tmp/ksplice-tmp-ghWNrw/kmodsrc/ksplice.c:3208: error: 'const struct thread_struct' has no member named 'ip'
make[1]: *** [/tmp/ksplice-tmp-ghWNrw/kmodsrc/ksplice.o] Error 1
make: *** [_module_/tmp/ksplice-tmp-ghWNrw/kmodsrc] Error 2
make: Leaving directory `/usr/src/kernels/2.6.31-2.fc12.x86_64'
Child exited with status 2
Failed during: make -rR -C /root/rpmbuild/BUILD/kernel-2.6.31/linux-2.6.31.x86_64/ksplice/build M=/tmp/ksplice-tmp-ghWNrw/kmodsrc KSPLICE_KID=6nut544u KSPLICE_VERSION=0.9.9 map_printk=ffffffff81502c55 KSPLICE_STANDALONE=1

Comment 3 Anders Kaseorg 2009-09-13 17:02:52 UTC
> ksplice.c:3208: error: 'const struct thread_struct' has no member named 'ip'

This was fixed in ksplice.git commit c59aacc.

Comment 4 Qian Cai 2009-09-13 17:54:39 UTC
The above error is indeed disappeared using the latest git version. However, it fails later.

  ...
  COMBINE arch/x86/lib/built-in.o
  COMBINE arch/x86/lib/lib.a
  COMBINE /root/rpmbuild/BUILD/kernel-2.6.31/linux-2.6.31.x86_64/vmlinux.o
make: Entering directory `/usr/src/kernels/2.6.31-2.fc12.x86_64'
  LD      /tmp/ksplice-tmp-DQhqBz/kmodsrc/built-in.o
  CC      /tmp/ksplice-tmp-DQhqBz/kmodsrc/offsets.o
  CC [M]  /tmp/ksplice-tmp-DQhqBz/kmodsrc/ksplice.o
  RMSYMS  /tmp/ksplice-tmp-DQhqBz/kmodsrc/ksplice-rmsyms.o
/tmp/ksplice-tmp-DQhqBz/kmodsrc/ksplice.o: Unknown section type: __mcount_loc
ksplice: died at objmanip.c:2902
Child exited with signal 6
Failed during: /usr/local/libexec/ksplice-objmanip /tmp/ksplice-tmp-DQhqBz/kmodsrc/ksplice.o /tmp/ksplice-tmp-DQhqBz/kmodsrc/ksplice.o.rmsyms rmsyms
  CC [M]  /tmp/ksplice-tmp-DQhqBz/kmodsrc/x86/libudis86/itab.o
  CC [M]  /tmp/ksplice-tmp-DQhqBz/kmodsrc/x86/libudis86/input.o
  CC [M]  /tmp/ksplice-tmp-DQhqBz/kmodsrc/x86/libudis86/decode.o
  CC [M]  /tmp/ksplice-tmp-DQhqBz/kmodsrc/x86/libudis86/syn.o
  CC [M]  /tmp/ksplice-tmp-DQhqBz/kmodsrc/x86/libudis86/syn-intel.o
  CC [M]  /tmp/ksplice-tmp-DQhqBz/kmodsrc/x86/libudis86/syn-att.o
  CC [M]  /tmp/ksplice-tmp-DQhqBz/kmodsrc/x86/libudis86/udis86.o
  LD [M]  /tmp/ksplice-tmp-DQhqBz/kmodsrc/ksplice-ky0gpynu.o
ld: /tmp/ksplice-tmp-DQhqBz/kmodsrc/ksplice-rmsyms.o: No such file: No such file or directory
make[1]: *** [/tmp/ksplice-tmp-DQhqBz/kmodsrc/ksplice-ky0gpynu.o] Error 1
make: *** [_module_/tmp/ksplice-tmp-DQhqBz/kmodsrc] Error 2
make: Leaving directory `/usr/src/kernels/2.6.31-2.fc12.x86_64'
Child exited with status 2
Failed during: make -rR -C /root/rpmbuild/BUILD/kernel-2.6.31/linux-2.6.31.x86_64/ksplice/build M=/tmp/ksplice-tmp-DQhqBz/kmodsrc KSPLICE_KID=ky0gpynu KSPLICE_VERSION=0.9.9 map_printk=ffffffff81502c55 KSPLICE_STANDALONE=1

Comment 5 Jochen Schmitt 2009-09-13 20:01:03 UTC
Because, I have no idea, why this is happen, I have contact the upstream for asking for a solution of your reported issue.

Comment 6 Jochen Schmitt 2009-09-30 19:24:12 UTC
I have retry to contact upstream for this issue.

Comment 7 Qian Cai 2009-10-01 12:59:41 UTC
Propose for F12 blocker. Would like to have a functional Ksplice in F12.

Comment 8 Jochen Schmitt 2009-10-01 16:23:38 UTC
1.) ksplice was never an official feature of Fedora.

2.) For futher information a log of my last test you may find at:

http://www.herr-schmitt.de/pub/skplice/output

Perhaps someone have a idea how to fix this issue.

Comment 9 Bug Zapper 2009-11-16 12:19:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Jochen Schmitt 2010-03-14 14:56:03 UTC
Reset to rawhide bacause bug sill exist and I have not got any feedback from upstream.

Comment 11 Dave Love 2010-03-30 15:55:11 UTC
(In reply to comment #8)

> Perhaps someone have a idea how to fix this issue.    

I found this report while looking for suggestions when the RMSYMS
step failed for me on RH5.  For what it's worth, it worked when I
used the system gcc (4.1.2) rather than the 4.4 version I was
picking up in the ksplice run originally.  Perhaps that's a
helpful pointer even though it wasn't on Fedora?

Comment 12 Adam Williamson 2010-04-16 19:42:54 UTC
Discussed at today's blocker meeting. We agreed this is not a blocker: it's not a critical package, or an accepted official feature, and it doesn't affect any of the release criteria.

https://fedoraproject.org/wiki/Fedora_13_Final_Release_Criteria



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Bug Zapper 2010-11-04 10:03:46 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2010-12-05 06:25:18 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.